curl --request GET \
--url https://api.deepreel.com/project/assets/video/{id}/ \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.deepreel.com/project/assets/video/{id}/"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.deepreel.com/project/assets/video/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"video_status": "Pending",
"avatar": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"language": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"creator": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"script_plain_text": "<string>",
"background_color": "<string>",
"aspect_ratio": "16:9",
"created_at": "2023-11-07T05:31:56Z",
"audio_download_url": "<string>",
"video_duration": 123,
"video_download_url": "<string>"
}{
"message": "<string>",
"detail": {}
}Get Video Information
Get audio, video, script and other information associated with a generated video
Authorizations
Your API key with the prefix: dr_. This is required by all endpoints to access our API programatically. You can view your API Key by navigating to the account settings panel (In the bottom left corner click on your Account → profile)
Path Parameters
A UUID string identifying this video.
Response
Allows to specify fields to be included
Unique Identifier of the Video.
Name of the Video.
Status of the video i.e. whether it's completed or failed.
Pending- PendingComplete- CompleteQueued- QueuedProcessing- ProcessingFailed- Failed
Pending, Complete, Queued, Processing, Failed Avatar used for video generation.
Show child attributes
Show child attributes
Language used to generated the video. null incase video was created from audio.
Show child attributes
Show child attributes
Detail of the user who generated the video.
Show child attributes
Show child attributes
Plain text script used to create the video. null incase video was created from audio.
The background color video. A six-bit hex color code starts with #. (e.g. #DRDRDR)
Aspect ratio of the video.
16:9- 16:9 - Standard widescreen9:16- 9:16 - Vertical4:3- 4:3 - Traditional TV format1:1- 1:1 - Square
16:9, 9:16, 4:3, 1:1 DateTime when the video generation was requested.
Url of the audio track used to generate the video. Note: Link will be valid for the next 60 minutes.
Duration of the generated video in seconds.
URL of the generated video. Note: Link will be valid for the next 60 minutes.
